Package: org.codehaus.groovy.grails.web.taglib

## [Groovy] Class MockThemeSource

- org.codehaus.groovy.grails.web.taglib.MockThemeSource

- All Implemented Interfaces and Traits:
    org.springframework.ui.context.ThemeSource

      class MockThemeSource
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MockThemeSource (org.springframework.context.MessageSource messageSource)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `org.springframework.ui.context.Theme` | `getTheme(java.lang.String themeName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### MockThemeSource(org.springframework.context.MessageSource messageSource)

  - ### Method Detail

    - #### org.springframework.ui.context.Theme getTheme(java.lang.String themeName)